Package org.linphone.core

# Enum Class Participant.Role

java.lang.Object
java.lang.Enum<Participant.Role>
org.linphone.core.Participant.Role

All Implemented Interfaces:
  `Serializable`, `Comparable<Participant.Role>`, `Constable`

Enclosing interface:
  `Participant`

public static enum Participant.Role extends Enum<Participant.Role>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Listener`
participant is a listener in the conference.
`Speaker`
participant is a speaker in the conference
`Unknown`
participant role is unknown

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Participant.Role`
`fromInt(int value)`
`int`
`toInt()`
`static Participant.Role`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Participant.Role[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Speaker

public static final Participant.Role Speaker
participant is a speaker in the conference

### Listener

public static final Participant.Role Listener
participant is a listener in the conference.
He/She cannot speak

### Unknown

public static final Participant.Role Unknown
participant role is unknown

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Participant.Role[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Participant.Role valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Participant.Role fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()